if (not skipIncludes) then
	dofile("script/layouts/room5.lua")
	dofile("script/upgrades/room5_upgrades.lua")

	levelDesc.randomSneeze = function(self, time)
		if (player.shift == 5) then
			-- The flu is the event in shift 5
			return
		end

		self.fluTimer = (self.fluTimer or 0) - time
		if (self.fluTimer <= 0) then
			self.fluTimer = math.Random(10000, 20000) * math.lerp((player.shift-1)/4, 4, 1)
			local suitable = {}
			local patients = level.patients
			for _,v in ipairs(patients) do
				if (not taskSystem:hasTaskFor(v) and not v.selected and v.currentAnimation == "SIT") then
					if (not v.station or (v.station and v.station.workDone)) then
						table.insert(suitable, v)
					end
				end
			end

			if (not table.empty(suitable)) then
				local patient = suitable[math.Random(table.icount(suitable))]
				local prevAnim = patient.currentAnimation
				local prevFrameTime = patient.currentFrameTime
				patient:addTask({class="PlayAnimationTask", animation="SNEEZE", cycles=1, whenFinished="stay", frameTime=100, wait=true})
				patient:addTask({class="PlayAnimationTask", animation=prevAnim, cycles=0, nil, frameTime=prevFrameTime, wait=true})
			end
		end
	end
end

levelDesc.controllers = { {objects={"bed_front", "echo_front"}}, {objects={"bed_back", "echo_back"}}, {objects={"baby_bed_back", "baby_back_filled"}}, {objects={"baby_bed_front", "baby_front_filled"}}, {objects={"mat_back", "baby_back"}}, {objects={"mat_front", "baby_front"}}, }

levelDesc.areaId = 0
levelDesc.isGamePlayLevel = true
levelDesc.ambientPanning = 0.3
levelDesc.heroDesc =
{
	name = "hero",
	base = "sarah",
	x = 523,
	y = 374,
}
levelDesc.residentDesc =
{
	name = "resident",
	base = "chance",
	x = 701,
	y = 554,
}
levelDesc.treatments =
{
	ULTRASOUND = {
		class="Step",
		miniGame="UltraSound",
		workIcon="WORKICON_ECHO",
	},
	STETHOSCOPE = {
		class="Step",
		workIcon="WORKICON_STETHOSCOPE",
		animation="STETHOSCOPE",
		animationFrameTime=100,
		duration=3000,
		workSound="SND_STETHOSCOPE:sound",
	},
	YOGA = {
		class="Step",
		miniGame="Yoga",
		workIcon="WORKICON_YOGA",
		cureDuration=4000,
		showWorkClock=false,
	},
	DIAPER_PRACTICE = {
		class="Step",
		workIcon="WORKICON_PLASTICBABY",
		animation="DO_DIAPER_PRACTICE",
		animationFrameTime=100,
		duration=2000,
		showWorkClock=false,
		showCureClock=false,
		workSound="SND_CHANGE_BABY_DIAPER:sound",
	},
	WEIGHING = {
		class="Step",
		duration=6000,
		workSound="SND_FEMALE_USE_SCALE:sound",
		animationFrameTime=100,
	},

	-- BabyCorner
	DIAPER = {
		class="Step",
		workIcon="WORKICON_DIAPER",
		animation="DO_DIAPER",
		animationFrameTime=-1,
		animationCycles=1,
		duration=2000,
		cureDuration=18000, -- The heart duration
		workSound="SND_CHANGE_BABY_DIAPER:sound",
	},
	MILK = {
		class="Step",
		workIcon="WORKICON_MILK",
		animation="DO_MILK",
		duration=3000,
		animationFrameTime=-1,
		animationCycles=3,
		animationWhenFinished="stay",
		cureDuration=19000, -- The heart duration
		workSound="SND_BABY_MILK:sound",
	},
	BURP = {
		class="Step",
		workIcon="WORKICON_PACIFIER",
		animation="DO_BURP",
		animationFrameTime=-1,
		animationCycles=1,
		animationWhenFinished="stay",
		duration=1500,
		cureDuration=20000, -- The heart duration
		workSound="SND_BABY_BURP:sound",
	},
}
